<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>everything work out in the end</title>
    <style>
        dialog[open] {
            animation: show 1s;
        }
        dialog[hide] {
            animation: hide 1s;
        }
        @keyframes show {
            from {
                opacity: 0;
                transform: translateY(-100%);
            }
            to {
                opacity: 1;
                transform: translateY(0%);
            }
        }
        @keyframes hide {
            to {
                opacity: 0;
                transform: translateY(-100%);
            }
        }
    </style>
</head>
<body>
<dialog id="modal">
    <h1>Hello World! because I love stereotypes</h1>
    <button id="close-btn">Close dialog windows</button>
</dialog>

<button id="open-btn">Open dialog windows</button>
</body>
<script>
    const modalElement = document.getElementById("modal");
    const  openBtn = document.getElementById("open-btn");
    const closeBtn = document.getElementById("close-btn");

    openBtn.addEventListener("click", () => {
        modalElement.showModal();
    });
    const onAnimationEnd = () => {
        modalElement.classList.remove("hide");

        modalElement.close();

        modalElement.removeEventListener("animationend", onAnimationEnd);
    };

    closeBtn.addEventListener("click", () => {
        modalElement.classList.add("hide");

        modalElement.addEventListener("animationend", onAnimationEnd);
    });
</script>
</html>
